API Utilities
api
Notification targets, logs, health, alerts, and endpoint discovery.
List notification targets
GET
Authenticated
Lists configured notification targets.
Request URL
https://api.creeper.host/api/listnotitargetsHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"targets": [
{
"id": 1,
"target": "slackwebhookurl",
"type": "slack"
}
],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Add notification target
PUT
Authenticated
Adds a notification target.
Request URL
https://api.creeper.host/api/addnotitargetHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"type": "slack",
"target": "webhookurl"
}
Response 200
{
"status": "success",
"message": "Added notification target."
}
Remove notification target
PUT
Authenticated
Removes a notification target.
Request URL
https://api.creeper.host/api/removenotitargetHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"id": 1
}
Response 200
{
"status": "success",
"message": "Removed notification target."
}
Get API logs
PUT
Authenticated
Returns recent API log lines.
Request URL
https://api.creeper.host/api/loggingHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"start": 0,
"limit": 100,
"requests": false
}
Response 200
{
"status": "success",
"lines": [
{
"timestamp": "1493385214",
"service": "backup",
"command": "create",
"status": "Success",
"ip": "127.0.0.1",
"notes": "Your backup has been completed."
}
],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get alerts
GET
Authenticated
Returns active API alerts.
Request URL
https://api.creeper.host/api/alertsHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"alerts": [],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Check API health
GET
Public
Checks API endpoint health.
Request URL
https://api.creeper.host/api/healthHeaders
Content-Type: application/jsonResponse 200
{
"status": "success",
"message": "API end point is currently healthy.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get API endpoints
GET
Public
Lists API endpoint locations.
Request URL
https://api.creeper.host/api/endpointsHeaders
Content-Type: application/jsonResponse 200
{
"Grantham": "185.57.191.130",
"Maidenhead": "78.129.201.23",
"Seattle": "198.23.149.146",
"Buffalo": "198.23.140.130",
"Atlanta": "69.31.134.154",
"Staging": "87.117.245.3",
"endPoint": "aries-production-59c48bc84-hpqw4"
}